# Update Notification Rule

Update Notification Rule

Endpoint: PUT /v1/orgs/{org}/projects/{project}/notification-rules/{notification-rule}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

  - `project` (string, required)
    Identifier field of the project the resource is scoped to

  - `notification-rule` (string, required)
    identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Request fields (application/json):

  - `identifier` (string)

  - `account` (string)

  - `org` (string)

  - `project` (string)

  - `status` (string)
    Notification Rule Status
    Enum: "ENABLED", "DISABLED"

  - `last_modified` (integer)

  - `created` (integer)

  - `name` (string)

  - `notification_conditions` (array)

  - `notification_conditions.condition_name` (string)

  - `notification_conditions.notification_event_configs` (array)

  - `notification_conditions.notification_event_configs.notification_entity` (string)

  - `notification_conditions.notification_event_configs.notification_event_data` (object)
    Notification Event Params

  - `notification_conditions.notification_event_configs.notification_event_data.type` (string)
    Enum: "DELEGATE", "CHAOS_EXPERIMENT", "PIPELINE", "SERVICE_LEVEL_OBJECTIVE"

  - `notification_conditions.notification_event_configs.notification_event` (string)

  - `notification_conditions.notification_event_configs.entity_identifiers` (array)

  - `notification_channel_refs` (array)

  - `custom_notification_template_ref` (object)

  - `custom_notification_template_ref.template_ref` (string)

  - `custom_notification_template_ref.version_label` (string)

  - `custom_notification_template_ref.variables` (array)

  - `custom_notification_template_ref.variables.name` (string, required)

  - `custom_notification_template_ref.variables.value` (string, required)

  - `custom_notification_template_ref.variables.type` (string)


